Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007530opensim[REGION] OpenSim Corepublic2015-04-17 15:122015-08-18 09:34
ReporterAliciaRaven 
Assigned ToAliciaRaven 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0007530: [Patch] Enable object grab and add the code to spin objects
DescriptionEnable object grab (Ctrl+Drag) and add the code to spin objects (Ctrl+Shift+Drag)
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
EnvironmentUnknown
Mono VersionNone
Viewer
Attached Filespatch file icon Grab-v4.patch [^] (3,427 bytes) 2015-05-03 20:13 [Show Content]

- Relationships

-  Notes
(0028122)
BlueWall (administrator)
2015-04-28 14:45

Reverting, see: http://opensimulator.org/mantis/view.php?id=7426#c28089 [^]

Needs fix to lock linkset if any object contains scripts.
(0028123)
BlueWall (administrator)
2015-04-28 14:46

Needs fix to prevent linksets from being moved when root prim is not scripted.
(0028173)
AliciaRaven (manager)
2015-05-03 20:20

This is the new patch (v4) for grab (Ctrl+Drag) and spin (Ctrl+Shift+Drag)

This time I have used the method GetScriptCount to make sure that scripts inside child prims are detected and grab is blocked. This may not be the most efficient way as each time it counts through the prims inventory for scripts. The other way would be to add a global flags variable to SOG which would add more overhead to each linkset and also might have problems keeping the flags in sync as linksets are modified. As the grab feature probably wont be used a lot i decided the script count method would do.

Also this time I included a block for attachments, after grabbing my hair while testing and ending up bald.
(0029223)
aiaustin (developer)
2015-08-18 09:34

Resolved issue marked as closed. Please open a new issue and refer to this one if problems arise.

- Issue History
Date Modified Username Field Change
2015-04-17 15:12 AliciaRaven New Issue
2015-04-17 15:12 AliciaRaven File Added: Enable-grab-feature-Add-Spin.patch
2015-04-17 15:15 AliciaRaven Assigned To => AliciaRaven
2015-04-17 15:15 AliciaRaven Status new => patch included
2015-04-17 16:01 AliciaRaven Assigned To AliciaRaven =>
2015-04-18 06:52 AliciaRaven Status patch included => resolved
2015-04-18 06:52 AliciaRaven Fixed in Version => master (dev code)
2015-04-18 06:52 AliciaRaven Resolution open => fixed
2015-04-18 06:52 AliciaRaven Assigned To => AliciaRaven
2015-04-28 14:45 BlueWall Note Added: 0028122
2015-04-28 14:46 BlueWall Note Added: 0028123
2015-04-28 14:46 BlueWall Status resolved => feedback
2015-04-28 14:46 BlueWall Resolution fixed => reopened
2015-05-03 20:13 AliciaRaven File Added: Grab-v4.patch
2015-05-03 20:13 AliciaRaven File Deleted: Enable-grab-feature-Add-Spin.patch
2015-05-03 20:20 AliciaRaven Note Added: 0028173
2015-05-03 20:20 AliciaRaven Status feedback => assigned
2015-05-15 13:02 AliciaRaven Status assigned => resolved
2015-05-15 13:02 AliciaRaven Resolution reopened => fixed
2015-08-18 09:34 aiaustin Note Added: 0029223
2015-08-18 09:34 aiaustin Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker